> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Workload identity token exchange JWKS

GET https://host.com/apis/auth/jwks

Return the public signing key for workload identity access tokens minted by the NeMo auth service.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/workload-identity/jwks-apis-auth-jwks-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/auth/jwks:
    get:
      operationId: jwks-apis-auth-jwks-get
      summary: Workload identity token exchange JWKS
      description: >-
        Return the public signing key for workload identity access tokens minted
        by the NeMo auth service.
      tags:
        - workloadIdentity
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonWebKeySetResponse'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    JsonWebKey:
      type: object
      properties: {}
      description: JSON Web Key object.
      title: JsonWebKey
    JsonWebKeySetResponse:
      type: object
      properties:
        keys:
          type: array
          items:
            $ref: '#/components/schemas/JsonWebKey'
          description: Public signing keys in the JWKS document.
      required:
        - keys
      description: JSON Web Key Set document.
      title: JsonWebKeySetResponse

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "keys": [
    {
      "kty": "RSA",
      "kid": "nemo-auth-202406",
      "use": "sig",
      "alg": "RS256",
      "n": "sXch7v9Q2J7vX9Yq3Z9v1J6Xq8v7Y2b5F3L9W8v6Z1P0Q3R7T9U2V5W8X1Y4Z7A0B3C6D9E2F5G8H1J4K7L0M3N6O9P2Q5R8S1T4U7V0W3X6Y9Z2a5b8c1d4e7f0g3h6i9j2k5l8m1n4o7p0q3r6s9t2u5v8w1x4y7z0",
      "e": "AQAB"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/auth/jwks"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/auth/jwks';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/auth/jwks"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/auth/jwks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/apis/auth/jwks")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/apis/auth/jwks', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/auth/jwks");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/auth/jwks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```